﻿using System;
using System.Collections.Generic;

using Hjg.Pngcs;

using Vintagestory.API.Client;
using Vintagestory.API.Common;
using Vintagestory.API.MathTools;

namespace Automap
{
    public abstract class IChunkRenderer
    {
        public virtual ICoreClientAPI ClientAPI { get; protected set; }
        public virtual ILogger Logger { get; protected set; }
        public virtual Dictionary<int, BlockDesignator> BlockID_Designators { get; set; }

		protected IChunkRenderer(ICoreClientAPI clientAPI, ILogger logger)
		{
			this.ClientAPI = clientAPI;
			this.Logger = logger;
		}

        public abstract void GenerateChunkPngShard(Vec2i chunkPos, IMapChunk mapChunk, ColumnMeta metaData, PngWriter pngWriter, out uint pixelCount);
    }
}

